﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 5104B: (1 year) CAL VER IEEE /5520+SC1100
DATE:                  2009-06-30 11:14:09
AUTHOR:                Fluke
REVISION:              $Revision: 1.6 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       298
CONFIGURATION:         Fluke 5520A (G1)
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds5104b_1yr_ver_ieee_5520_sc1100.txt,v $
#    $Date: 2009/06/30 18:11:17 $
#
#  Procedure Author:
#        DFM, DAC, VY
#@
#@ Models covered:
#@       TDS 5104B
#@
#@ Source(s):
#@       TDS5000B Series Digital Phosphor Oscilloscopes
#@       Specification and Performance Verification Manual, PN 071-1420-01
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub UUT Connection GPIB
#        Sub Tek TDS5000B Set Bandwidth & Num_Chan
#        Sub Tek TDS5000B Setup IEEE
#        Sub Tek TDS5000B Self-Test IEEE
#        Sub Tek TDS5000B Sig Path Comp Cal IEEE
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Check Trig Status IEEE
#        Sub Tek TDS5000B Adjust Trig Level IEEE
#        Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5520+S6
#        Sub Tek TDS5104B (1 yr) Bandwidth IEEE /5520+G1
#        Sub Tek TDS5000B (1 yr) Chan Delay IEEE /5520+S6
#        Sub Tek TDS5104B (1 yr) Channels Iso IEEE /5520+G1
#        Sub Tek TDS5000B (1 yr) Sample Rate IEEE /5520+S6
#        Sub Tek TDS5000B (1 yr) Delta Time IEEE /5520+S6
#        Sub Tek TDS5104B (1 yr) Trig Sens IEEE /5520+G1
#        Sub Tek TDS5000B (1 yr) Trig Time IEEE /5520+S6
#        Sub Tek TDS5000B (1 yr) Signal Out IEEE /5520+S6
#        Sub Tek TDS5000B (1 yr) Probe Comp IEEE /5520+S6
#
# Required Files:
#        None
#
#@ Additional Equipment Required:
#@       2 Way Power Splitter
#@       BNC T(f-m-f) adapter
#@       Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#@       SMA T(f-m-f) adapter
#@       Cable, 50 Ohm, SMA(m)-(m)
#@       3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#@       2 sets SMA Short
#@       Probe 1X or 10X, such as Tektronix P5050, P6243, or P6245
#@
# The procedure was tested using:
#        Model No  :  TDS5104B
#        Serial No :  B022665
#        Options   :
#        Firmware  :  CF:91.1CT FV:2.0.9
#
# Average run time during testing :  40 min (include optional test)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         1GH                          1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  MATH         @ReqMetCalVersion = "7.20x"
  1.007  CALL         Sub MET/CAL Version Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or
  1.009  DISP         later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Verification Method

  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  TARGET
  1.019  CALL         Sub Tek TDS5000B Setup IEEE
  1.020  IEEE2        *RST

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.023  MATH         Model = "TDS5104B"
  1.024  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.025  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.026  IF           NOT(L[1] && L[2])
  1.027  DISP         UUT is an [V @Manufacturer] [V @ModelNum],
  1.027  DISP         not a Tektronix [V Model]!
  1.028  END
  1.029  ENDIF

  1.030  HEAD         EQUIPMENT REQUIREMENTS
  1.031  DISP         The following additional equipment and/or
  1.031  DISP         accessories are required:
  1.031  DISP
  1.031  DISP         - 2 Way Power Splitter
  1.031  DISP         - BNC T(f-m-f) adapter
  1.031  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.031  DISP         - SMA T(f-m-f) adapter
  1.031  DISP         - Cable, 50 Ohm, SMA(m)-(m)
  1.031  DISP         - 3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
  1.031  DISP         - 2 sets SMA Short
  1.031  DISP         - Probe 1X or 10X, such as Tek P5050, P6243, or P6245

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           BANDWIDTH(CH1)
#    5.   DCV MEASUREMENT ACC(CH3)           CHANNEL ISOLATION(CH1 IN)
#    6.   DCV MEASUREMENT ACC(CH4)           SAMPLE RATE AND DELAY TIME ACC
#    7.   BANDWIDTH(CH1)                     TIME ACC OF PULSE WIDTH TRIG(CH1)
#    8.   BANDWIDTH(CH2)                     EDGE-TRIGGER SENSITIVITY(CH1)
#    9.   BANDWIDTH(CH3)                     DCV MEASUREMENT ACC(CH2)
#   10.   BANDWIDTH(CH4)                     BANDWIDTH(CH2)
#   11.   CHANNEL DELAY                      CHANNEL ISOLATION(CH2 IN)
#   12.   CHANNEL ISOLATION(CH1 IN)          DCV MEASUREMENT ACC(CH3)
#   13.   CHANNEL ISOLATION(CH2 IN)          BANDWIDTH(CH3)
#   14.   CHANNEL ISOLATION(CH3 IN)          CHANNEL ISOLATION(CH3 IN)
#   15.   CHANNEL ISOLATION(CH4 IN)          DCV MEASUREMENT ACC(CH4)
#   16.   SAMPLE RATE AND DELAY TIME ACC     BANDWIDTH(CH4)
#   17.   DELTA TIME MEASUREMENT ACC(CH1)    CHANNEL ISOLATION(CH4 IN)
#   18.   DELTA TIME MEASUREMENT ACC(CH2)    DELTA TIME MEASUREMENT ACC(CH1)
#   19.   DELTA TIME MEASUREMENT ACC(CH3)    DELTA TIME MEASUREMENT ACC(CH2)
#   20.   DELTA TIME MEASUREMENT ACC(CH4)    DELTA TIME MEASUREMENT ACC(CH3)
#   21.   TIME ACC OF PULSE WIDTH TRIG(CH1)  DELTA TIME MEASUREMENT ACC(CH4)
#   22.   EDGE-TRIGGER SENSITIVITY(CH1)      CHANNEL DELAY
#   23.   SIGNAL OUT AND AUX TRIGGER OUT     SIGNAL OUT AND AUX TRIGGER OUT
#   24.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.032  CALL         Sub Tek TDS5000B Set Bandwidth & Num_Chan
  1.033  CALL         Sub Tek TDS5000B Self-Test IEEE
  1.034  JMPL         END                          @Abort

  1.035  MATH         @SPCTime = 720
  1.036  CALL         Sub Tek TDS5000B Sig Path Comp Cal IEEE
  1.037  JMPL         END                          @Abort

  1.038  MATH         @Chan = 1
  1.039  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5520+S6
  1.040  JMPL         BANDWIDTH_CH1

  1.041  LABEL        DCV_ACC_CH2
  1.042  MATH         @Chan = 2
  1.043  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5520+S6
  1.044  JMPL         BANDWIDTH_CH2

  1.045  LABEL        DCV_ACC_CH3
  1.046  MATH         @Chan = 3
  1.047  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5520+S6
  1.048  JMPL         BANDWIDTH_CH3

  1.049  LABEL        DCV_ACC_CH4
  1.050  MATH         @Chan = 4
  1.051  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5520+S6
  1.052  JMPL         BANDWIDTH_CH4

  1.053  LABEL        BANDWIDTH_CH1
  1.054  MATH         @Chan = 1
  1.055  CALL         Sub Tek TDS5104B (1 yr) Bandwidth IEEE /5520+G1
  1.056  JMPL         CHANNELS_ISOLATION_CH1

  1.057  LABEL        BANDWIDTH_CH2
  1.058  MATH         @Chan = 2
  1.059  CALL         Sub Tek TDS5104B (1 yr) Bandwidth IEEE /5520+G1
  1.060  JMPL         CHANNELS_ISOLATION_CH2

  1.061  LABEL        BANDWIDTH_CH3
  1.062  MATH         @Chan = 3
  1.063  CALL         Sub Tek TDS5104B (1 yr) Bandwidth IEEE /5520+G1
  1.064  JMPL         CHANNELS_ISOLATION_CH3

  1.065  LABEL        BANDWIDTH_CH4
  1.066  MATH         @Chan = 4
  1.067  CALL         Sub Tek TDS5104B (1 yr) Bandwidth IEEE /5520+G1
  1.068  JMPL         CHANNELS_ISOLATION_CH4

  1.069  LABEL        CHANNEL_DELAY
  1.070  MATH         @Chan = 1
  1.071  CALL         Sub Tek TDS5000B (1 yr) Chan Delay IEEE /5520+S6
  1.072  JMPL         SIGNAL_OUT

  1.073  LABEL        CHANNELS_ISOLATION_CH1
  1.074  MATH         @Chan = 1
  1.075  CALL         Sub Tek TDS5104B (1 yr) Channels Iso IEEE /5520+G1
  1.076  JMPL         SAMPLE_RATE_DELAY_TIME

  1.077  LABEL        CHANNELS_ISOLATION_CH2
  1.078  MATH         @Chan = 2
  1.079  CALL         Sub Tek TDS5104B (1 yr) Channels Iso IEEE /5520+G1
  1.080  JMPL         DCV_ACC_CH3

  1.081  LABEL        CHANNELS_ISOLATION_CH3
  1.082  MATH         @Chan = 3
  1.083  CALL         Sub Tek TDS5104B (1 yr) Channels Iso IEEE /5520+G1
  1.084  JMPL         DCV_ACC_CH4

  1.085  LABEL        CHANNELS_ISOLATION_CH4
  1.086  MATH         @Chan = 4
  1.087  CALL         Sub Tek TDS5104B (1 yr) Channels Iso IEEE /5520+G1
  1.088  JMPL         DELTA_TIME_CH1

  1.089  LABEL        SAMPLE_RATE_DELAY_TIME
  1.090  MATH         @Chan = 1
  1.091  CALL         Sub Tek TDS5000B (1 yr) Sample Rate IEEE /5520+S6
  1.092  JMPL         TRIG_CH1

  1.093  LABEL        DELTA_TIME_CH1
  1.094  MATH         @Chan = 1
  1.095  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5520+S6

  1.096  MATH         @Chan = 2
  1.097  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5520+S6

  1.098  MATH         @Chan = 3
  1.099  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5520+S6

  1.100  MATH         @Chan = 4
  1.101  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5520+S6
  1.102  JMPL         CHANNEL_DELAY

  1.103  LABEL        TRIG_CH1
  1.104  MATH         @Chan = 1
  1.105  CALL         Sub Tek TDS5000B (1 yr) Trig Time IEEE /5520+S6
  1.106  CALL         Sub Tek TDS5104B (1 yr) Trig Sens IEEE /5520+G1
  1.107  JMPL         DCV_ACC_CH2

  1.108  LABEL        SIGNAL_OUT
# The following signal out test is attached only with channel 3 input
  1.109  MATH         @Chan = 3
  1.110  CALL         Sub Tek TDS5000B (1 yr) Signal Out IEEE /5520+S6

  1.111  MATH         @Chan = 1
  1.112  CALL         Sub Tek TDS5000B (1 yr) Probe Comp IEEE /5520+S6

  1.113  LABEL        END
  1.114  IEEE2        *RST
  1.115  HEAD
  1.116  RSLT         =

  1.117  IF           @Abort
  1.118  DISP         {V E R I F I C A T I O N   A B O R T E D !}
  1.119  ELSE
  1.120  DISP         {V E R I F I C A T I O N   C O M P L E T E !}
  1.121  ENDIF

  1.122  END
